# -*- coding: utf-8 -*-


import os
from .settings import PROJECT_DIR


# Here are defined the settings that are specific to the SàT website

# External URL pointing the external media files
MEDIA_EXTERNAL_URL = 'http://ftp.goffi.org/media'

# External URL pointing the projects archives directory
PROJECTS_EXTERNAL_URL = 'http://ftp.goffi.org'

# Internal path to the the projects archives directory
PROJECTS_INTERNAL_PATH = '/srv/ftp'

# List of couples with the project directory name and the project name (set to None if it's the same)
PROJECTS_NAMES = [('sat', None), ('sat_media', None), ('urwid-satext', 'urwid_satext'), ('sat_pubsub', None), ('libervia', None)]

# Extension used to name the project archives
ARCHIVE_SUFFIX = '.tar.bz2'

# URL to Libervia online demo
LIBERVIA_DEMO_URL = 'https://www.libervia.org'

# Actual and target number of members
ASSO_MEMBERS_ACTUAL = 3400
ASSO_MEMBERS_TARGET = 6000

# Actual and target amount to finance the association (in euros)
ASSO_FINANCE_ACTUAL = 40000
ASSO_FINANCE_TARGET = 60000

# Subscription amounts as defined in the Rules of Procedure
ASSO_SUBSCR_AMOUNTS = (0, 10, 20, 30, 50, 80, 100)

# Path the CSV file where all the subscriptions are written
ASSO_SUBSCR_CSV = os.path.join(PROJECT_DIR, "sat_website_subscriptions.csv")

# Bank account information
ASSO_IBAN = u"FR76 1027 8060 4300 0207 3220 109"
ASSO_BIC = u"CMCIFR2A"

# URL to the Statutes and Rules of the association
ASSO_URL_STATUTES = 'http://repos.goffi.org/sat_docs/raw-file/tip/association/statuts.pdf'
ASSO_URL_RULES = 'http://repos.goffi.org/sat_docs/raw-file/tip/association/r%C3%A8glement%20int%C3%A9rieur.pdf'
